#!../../bin/solaris-sparc/scopetest

< envPaths
< envParams

cd ${TOP}

## Register all support components
dbLoadDatabase("dbd/scope.dbd")
scope_registerRecordDeviceDriver(pdbbase)

## Turn on all diagnostic messages to stdout
#asynSetTraceFile("",-1,"")
#asynSetTraceMask("",-1,0x3)

## Load diagnostic record instance
dbLoadRecords("db/asynRecord.db","P=scope,R=Test,PORT=L0,ADDR=3,OMAX=0,IMAX=0")

## Load oscilloscope db's if using Auto Print/Re-arm trig SNL program.
dbLoadRecords("db/scopeMessage.vdb","scope=scopeTest:,L=0,A=3,ASG=RF1CTL,rfsys=1")
## This is the main db. 
dbLoadRecords("db/TDS3000.vdb","scope=scopeTest:,L=0,A=3,ASG=RF1CTL,Name=RF1-HV")

# reboot scopes (Ethernet only)
#TDS3000Reboot 164.54.xxx.xxx
#epicsThreadSleep(60)

## Set up IOC/hardware links -- GPIB/LAN connection
#vxi11Configure("L0", "164.54.8.227", 0, 0.0, "hpib", 0)

## Set up IOC/hardware links -- Direct network connection
#vxi11Configure("L0", "164.54.xxx.xxx", 0, 0.0, "inst0", 0)

## Set up IOC/hardware links -- Remote serial port
##  (link, host, priority, noAutoConnect, noEosProcessing)
#drvAsynIPPortConfigure("L0", "164.54.xxx.xxx:yyyy", 0, 0, 0)
#asynOctetSetInputEos("L0",0,"\n")
#asynOctetSetOutputEos("L0",0,"\n")

## Set up IOC/hardware links -- Local serial port
##  (link, ttyName, priority, noAutoConnect, noEosProcessing)
#drvAsynSerialPortConfigure("L0", "/dev/ttyS0", 0, 0, 0)
#asynOctetSetInputEos("L0",0,"\n")
#asynOctetSetOutputEos("L0",0,"\n")
#asynSetOption("L0", 0, "baud", "38400")
#asynSetOption("L0", 0, "bits", "8")
#asynSetOption("L0", 0, "parity", "none")
#asynSetOption("L0", 0, "stop", "1")
#asynSetOption("L0", 0, "clocal", "N")
#asynSetOption("L0", 0, "crtscts", "Y")

## Turn on all diagnostic messages to stdout
#asynSetTraceFile("L0", 3, "")
#asynSetTraceMask("L0", 3, 0x9)
#asynSetTraceIOMask("L0", 3, 0x2)
#asynSetTraceIOTruncateSize("L0", 3, 120)

cd ${TOP}/iocBoot/${IOC}
iocInit()

## Start any sequence programs
#seq scopeAutoArmPrint,"scope=scopeTest:"
